oxigraph (0.5.6+ds-2~nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 24 Mar 2026 20:13:32 +0000

oxigraph (0.5.6+ds-2~exp) experimental; urgency=medium

  * repurpose patch 2002_getrandom
    to accept newer minor version of crate getrandom
    (not use older minor version);
    tighten (build-)dependencies for crates getrandom rand;
    closes: bug#1130511, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Mar 2026 12:33:56 +0100

oxigraph (0.5.6+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Mar 2026 01:13:22 +0100

oxigraph (0.5.5+ds-6) unstable; urgency=medium

  * relax dependendency for crate getrandom

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 13 Mar 2026 08:05:02 +0100

oxigraph (0.5.5+ds-5) unstable; urgency=medium

  * mention support for the RDF/JS datamodel in long descriptions
    of binary packages libjs-oxigraph and node-oxigraph
  * fix installation of WASM code

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Mar 2026 19:52:43 +0100

oxigraph (0.5.5+ds-4) experimental; urgency=medium

  * build WASM code architecture-independently

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Mar 2026 19:05:49 +0100

oxigraph (0.5.5+ds-3) experimental; urgency=medium

  * drop patch 2002_wasm-bindgen, obsoleted by Debian package changes
  * tighten installation of bash completion
  * provide binary packages libjs-oxigraph and node-oxigraph;
    provide and autopkgtest oxigraph feature js;
    provide and autopkgtest oxsdatatypes feature js;
    add patch 1001_rand to use workspace dependency for crate rand;
    add patch 2002_getrandom
    to use older minor version of crate getrandom;
    drop patch 2004;
    build-depend on packages
    for crates getrandom js-sys wasm-bindgen wasm-bindgen-futures,
    and on packages
    libstd-rust-dev-wasm32 nodejs rust-llvm wasm-bindgen wasm-pack

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Mar 2026 18:16:08 +0100

oxigraph (0.5.5+ds-2) unstable; urgency=medium

  * fix autopkgtests for crate oxttl
  * drop patch 2002_wasm_bindgen_futures,
    obsoleted by Debian package changes

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Feb 2026 19:49:02 +0100

oxigraph (0.5.5+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * (build-)depend on package for crate ryu-js
  * update long description regarding JSON-LD format
  * update and unfuzz patches
  * stop (build-)depend on packages for crates get-random js-sys

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Feb 2026 15:33:38 +0100

oxigraph (0.5.4+ds-4) unstable; urgency=medium

  * provide non-version package for crate oxjsonld
  * update copyright info:
    + license patches same as general upstream license
  * relax (build-, autopkgtest-)dependencies for all crates,
    except autopkgtest-dependencies for own feature-providing provisions

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Feb 2026 11:59:55 +0100

oxigraph (0.5.4+ds-3) unstable; urgency=medium

  * extend patch 2011 to cover another test;
    closes: bug#1126401, thanks to Santiago Vila

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Jan 2026 16:42:18 +0100

oxigraph (0.5.4+ds-2) unstable; urgency=medium

  * provide and autopkgtest oxrdf feature rdfc-10;
    have librust-oxrdf-dev depend on packages for crates hex sha2
  * provide and autopkgtest oxrdfxml feature rdf-12

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Jan 2026 01:50:47 +0100

oxigraph (0.5.4+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + avoid any .git* files when repackaging upstream source
    + update coverage
  * update git-buildpackage config:
    + stop superfluously filter out .git* files
  * update watch file:
    + mangle uversion and Debian versions
    + use repack suffix +ds
  * unfuzz patches
  * fix bump project versions in virtual packages
  * stop superfluously set fields Rules-Requires-Root Priority
  * stop set Multi-Arch: foreign,
    incompatible with arch-any packaged crates
  * declare compliance with Debian Policy 4.7.3

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Jan 2026 01:20:16 +0100

oxigraph (0.5.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: mangle suffix -post
  * unfuzz patches
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Dec 2025 23:50:20 +0100

oxigraph (0.5.2-3) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Dec 2025 17:20:57 +0100

oxigraph (0.5.2-2) experimental; urgency=medium

  * add patch 1001_quick-xml
    to use newer minor version of crate quick-xml,
    superseding patch 2001_quick-xml;
    bump (build-)dependencies for crate quick-xml;
    closes: bug#1086507, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Nov 2025 16:33:37 +0100

oxigraph (0.5.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patch

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Oct 2025 13:08:57 +0100

oxigraph (0.5.1-4) unstable; urgency=medium

  * fix skip the right test

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Oct 2025 00:23:13 +0200

oxigraph (0.5.1-3) unstable; urgency=medium

  * skip autopkgtest-checking tests
    failing due to access rights to tempdir

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Oct 2025 09:12:15 +0200

oxigraph (0.5.1-2) unstable; urgency=medium

  * stop build-depend explicitly on rustc;
    stop have lib-crate oxigraph depend on packages
    for crated bzip2 csv;
    have lib-crate oxigraph autopkgtest-depend on packages
    for crates bzip2 csv oxhttp tempfile
  * add patch 2011_flaky_test to skip a flaky test

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Oct 2025 01:02:28 +0200

oxigraph (0.5.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers
  * bump project versions in virtual packages and autopkgtests
  * provide and autopkgtest spargebra feature standard-unicode-escaping
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Oct 2025 00:28:45 +0200

oxigraph (0.5.0-7) unstable; urgency=medium

  * really fix patch cherry-picked upstream

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Sep 2025 08:58:35 +0200

oxigraph (0.5.0-6) unstable; urgency=medium

  * fix patch cherry-picked upstream

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Sep 2025 01:42:04 +0200

oxigraph (0.5.0-5) unstable; urgency=medium

  * add patches cherry-picked upstream
    to limit tests to supported architectures,
    superseding patch 1001;
    simplify build and autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Sep 2025 00:42:40 +0200

oxigraph (0.5.0-4) experimental; urgency=medium

  * fix strip beta version suffix in autopkgtests
  * add patch 1001 to limit tests to supported architectures;
    stop omit corresponding tests during build or in autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Sep 2025 10:18:19 +0200

oxigraph (0.5.0-3) experimental; urgency=medium

  * provide and autopkgtest oxjsonld feature rdf-12;
    tighten (build-)dependencies for crate json-event-parser

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Sep 2025 00:40:14 +0200

oxigraph (0.5.0-2) experimental; urgency=medium

  * fix drop obsolete version prefix 'really'
    for librust-oxigraph-dev
  * omit test failing on s390x for crate oxigraph

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Sep 2025 23:11:44 +0200

oxigraph (0.5.0-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * check tests loading pre-generated 64bit little-endian data
    only on such arches
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Sep 2025 20:35:59 +0200

oxigraph (0.5.0~beta5-1) experimental; urgency=medium

  [ upstream ]
  * new prerelease

  [ Jonas Smedegaard ]
  * update watch file:
    + use file format version 5
    + improve mangling of upstream version
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * build-depend on libstd-rust-dev
    and on packages for crates dissimilar time;
    build- and autopkgtest-depend on package for crate tempfile
  * build-depend on recent rustc
  * stop tolerate test failures when targeting experimental,
    and stop omit tests apparently no longer leaky

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Sep 2025 12:41:17 +0200

oxigraph (0.5.0~beta2-1) experimental; urgency=medium

  [ upstream ]
  * new prerelease(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * relax (build-)dependencies for crates bindgen bzip2
  * stop break/replace obsolete binary package oxigraph-server
  * bump project versions in virtual packages and autopkgtests
  * stop use version prefix for virtual package librust-spargebra-dev
  * provide and autopkgtest features rdf-12 sparql-12 (not rdf-star)
  * bump (build-)dependencies for crate oxhttp

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Aug 2025 12:54:24 +0200

oxigraph (0.4.11-2) experimental; urgency=medium

  * drop superfluous autopkgtest-dependencies
    for crates bindgen cc is-terminal
  * add patch 1001 to accept newer branch of crate bindgen;
    relax (build-)dependencies for crate bindgen;
    closes: bug#1110056, thanks to NoisyCoil

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Aug 2025 10:52:11 +0200

oxigraph (0.4.11-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * fix short description for binary package librust-sparesults-dev
  * provide and autopkgtest embedded crate oxjsonld
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Jun 2025 09:46:09 +0200

oxigraph (0.4.9-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patch
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Mar 2025 08:16:46 +0100

oxigraph (0.4.8-2) unstable; urgency=medium

  * build-depend on and recommend ca-certificates;
    closes: bug#1098344, thanks to Santiago Vila

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Feb 2025 20:06:26 +0100

oxigraph (0.4.8-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * (build-)depend on packages for crates bzip2 csv
  * unfuzz patches
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Feb 2025 10:40:29 +0100

oxigraph (0.4.7-4) unstable; urgency=medium

  * fix autopkgtest-dependencies;
    closes: bug#1095486, thanks to NoisyCoil

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Feb 2025 13:48:37 +0100

oxigraph (0.4.7-3) unstable; urgency=medium

  * relax (build- and autopkgtest-)dependency for crate bindgen;
    closes: bug#1094737, thanks to NoisyCoil
  * fix minimal oxigraph convert autopkgtest;
    closes: bug#1090901, thanks to Graham Inggs
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + improve upstream version mangling
    + use Github API

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Feb 2025 13:05:59 +0100

oxigraph (0.4.7-2) experimental; urgency=medium

  * bump (build-)dependency for crate dashmap

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Jan 2025 12:43:10 +0100

oxigraph (0.4.7-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches
  * bump project versions in virtual packages and autopkgtests;
    provide and autopkgtest crate spareval;
    stop (build-)depend on package for crate digest
  * tighten (build-)dependency for crate oxiri
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Jan 2025 11:04:38 +0100

oxigraph (0.4.5-2) experimental; urgency=medium

  * tighten patch 2009_yasgui
    to not revert to use bogus content-type text_html
  * update copyright info: update coverage
  * stop omit checking test_backup,
    as upstream supports RocksDB 9.x now
  * omit checking tests leaking memory,
    except sloppily try check them when targeted experimental,
    to aid in resolving bug #1088523

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Jan 2025 16:03:50 +0100

oxigraph (0.4.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 2001_rustc-hash,
    obsoleted by Debian package changes;
    tighten (build-)dependencies for crate rustc-hash
  * update and unfuzz patches
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Dec 2024 01:15:15 +0100

oxigraph (0.4.4-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches
  * add patch 2010
    to avoid building embedded crate spargeo
  * add patch 2001_quick-xml
    to use older branch of crate quick-xml
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Nov 2024 16:37:45 +0100

oxigraph (0.4.1-2) unstable; urgency=medium

  * stop provide zero-versioned virtual packages
  * add patch 1001 to accept newer branch of crate bindgen;
    relax (build-/autopkgtest-)dependencies for crate bindgen;
    closes: bug#1087350, thanks to NoisyCoil

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Nov 2024 15:19:18 +0100

oxigraph (0.4.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * add bug URI in DEP-3 patch header
  * unfuzz patches
  * stop avoid wasm32-only crates:
    + drop patch 2001_wasm32
    + reduce patch 2004_avoid_js
    + (build-)depend on packages for crates getrandom js-sys
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Oct 2024 14:31:27 +0200

oxigraph (0.4.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * apply version prefix 'really' only when needed
  * bump project versions in autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Sep 2024 00:07:40 +0200

oxigraph (0.4.0~rc2-1) unstable; urgency=medium

  [ upstream ]
  * new release candicate

  [ Jonas Smedegaard ]
  * unfuzz patches
  * bump project versions in autopkgtests
  * update watch file: improve filename mangling

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Sep 2024 23:18:20 +0200

oxigraph (0.4.0~rc1-2) unstable; urgency=medium

  * bump project versions in autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Aug 2024 15:16:52 +0200

oxigraph (0.4.0~rc1-1) unstable; urgency=medium

  [ upstream ]
  * new release candicate

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream, now obsolete
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Aug 2024 15:06:36 +0200

oxigraph (0.4.0~alpha8-3) unstable; urgency=medium

  * stop mention or (build-)depend on crates
    lazy_static rio_api rio_turtle rio_xml,
    unused since v0.4.0-alpha1;
    thanks to Thomas Tanon
  * add patches cherry-picked upstream:
    + link with atomic lib on arches armv5te and riscv64gc
    + omit generating man pages for help commands
    drop superseded patch 1002
  * stop mention dh-cargo in long description

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Aug 2024 19:41:16 +0200

oxigraph (0.4.0~alpha8-2) experimental; urgency=medium

  * drop patch 2001_quick-xml;
    bump (build-)dependencies for crate quick-xml
    (see bug#1079368)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Aug 2024 17:51:59 +0200

oxigraph (0.4.0~alpha8-1) unstable; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * drop patches cherry-picked upstream, now obsolete
  * drop patch 1001, adopted upstream
  * unfuzz patches
  * add patches 2001_*
    to accept older branches of crates quick-xml rustc-hash
  * build-depend on packages
    for crates clap_complete clap_mangen
  * generate and install upstream-sourced
    shell completion scripts and man pages;
    build-depend on dh-sequence-bash-completion;
    suggest bash-completion;
    stop build-depend on help2man libstring-shellquote-perl

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Aug 2024 16:29:02 +0200

oxigraph (0.4.0~alpha7-25) unstable; urgency=medium

  * stop build-depend on package for crate clap-lex,
    unused since 0.4.0~alpha6-1;
    closes: bug#1078919, thanks to Peter Green
  * add minimal yet sensible autopkgtest for oxigraph convert

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Aug 2024 20:06:18 +0200

oxigraph (0.4.0~alpha7-24) unstable; urgency=medium

  * give up: avoid autopkgtest on riscv64

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Aug 2024 00:32:56 +0200

oxigraph (0.4.0~alpha7-23) unstable; urgency=medium

  * check default-features autopkgtests unoptimized

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Aug 2024 19:19:15 +0200

oxigraph (0.4.0~alpha7-22) unstable; urgency=medium

  * extend patch 2004, silencing build-time warning
  * update autopkgtests:
    + check all but default-features tests only on amd64
    + check explicitly oxrocksdb-sys feature pkg-config

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Aug 2024 12:41:37 +0200

oxigraph (0.4.0~alpha7-21) unstable; urgency=medium

  * tighten build rules to catch failure in loop
  * skip more autpkgtest tests on riscv64
  * add TODO note about omitted package node-oxigraph

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Aug 2024 12:14:25 +0200

oxigraph (0.4.0~alpha7-20) unstable; urgency=medium

  * trust upstream optimization level unless explicitly disabled
  * enable hardening and pedantic build options
  * reduce autopkgtest to check single-feature tests only on amd64

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Jul 2024 11:00:26 +0200

oxigraph (0.4.0~alpha7-19) unstable; urgency=medium

  * fix patch 1002

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Jul 2024 07:37:35 +0200

oxigraph (0.4.0~alpha7-18) unstable; urgency=medium

  * fix dependency for crate libc
  * stop skip checking tests on ppc64,
    seemingly unneeded after all
    (problem really was with ppc64el
    but apparently was only a temprorary fluke)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 28 Jul 2024 10:53:22 +0200

oxigraph (0.4.0~alpha7-17) unstable; urgency=medium

  * fix depend on packages for crates bindgen cc libc;
    relax build-dependency for crate bindgen
  * skip checking testsuite on ppc64, as it might be broken there
  * fix patch 1002;
    simplify patch 2006

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 28 Jul 2024 01:03:46 +0200

oxigraph (0.4.0~alpha7-16) unstable; urgency=medium

  * add patch 1002
    to explicitly link oxrocksdb-sys against libatomic on armel;
    drop related non-working build flag
  * skip oxrdf all-features autopkgtest on riscv64
    due to memory exhaustion

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jul 2024 23:16:40 +0200

oxigraph (0.4.0~alpha7-15) unstable; urgency=medium

  * add patch cerry-picked upstream
    to make a Double test more lenient
  * explicitly link against libatomic on uncommon archs

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jul 2024 01:12:25 +0200

oxigraph (0.4.0~alpha7-14) unstable; urgency=medium

  * drop out-of-memory workaround for weak arches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jul 2024 16:18:01 +0200

oxigraph (0.4.0~alpha7-13) unstable; urgency=medium

  * relax out-of-memory workaround for weak arches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jul 2024 14:13:45 +0200

oxigraph (0.4.0~alpha7-12) unstable; urgency=medium

  * tighten substvars:
    use ${rust:Version:*} with full package name
    (see bug#1076434)
  * autopkgtest-depend on dh-rust (not dh-cargo)
  * reduce risk of out-of-memory issues
    during build for weak arches;
    stop ignore failures on archs armel armhf arm64

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jul 2024 01:41:17 +0200

oxigraph (0.4.0~alpha7-11) experimental; urgency=medium

  * generate manpages also for subcommandsi;
    build-depend on libstring-shellquote-perl
  * add patch 1001
    to tighten help strings for use self-contained
  * update patch cherry-picked upstream
  * add patch cherry-picked upstream
    to omit some tests on 32-bit archs;
    enable checking related tests
  * stop omit build target dh_dwz

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jul 2024 21:34:44 +0200

oxigraph (0.4.0~alpha7-10) unstable; urgency=medium

  * fix: set buildsystem=rust in overridden debhelper target

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 16:58:35 +0200

oxigraph (0.4.0~alpha7-9) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)
  * fix: autopkgtest features http-client rocksdb-debug
    (not bogus http_client rocksdb_debug)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 11:36:05 +0200

oxigraph (0.4.0~alpha7-8) unstable; urgency=medium

  * fix bump dependencies for crate quick-xml

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Jul 2024 14:14:23 +0200

oxigraph (0.4.0~alpha7-7) unstable; urgency=medium

  * fix add dummy prefix to dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Jul 2024 12:23:09 +0200

oxigraph (0.4.0~alpha7-6) unstable; urgency=medium

  * prefix library package versions with a dummy fixed version,
    as workaround for earlier too high versioning

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Jul 2024 09:24:03 +0200

oxigraph (0.4.0~alpha7-5) unstable; urgency=medium

  * fix resolve and apply mangled package versions

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jul 2024 10:20:22 +0200

oxigraph (0.4.0~alpha7-4) unstable; urgency=medium

  * fix strip prerelease suffix from computed dependencies
  * skip test that panicks on i386

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jul 2024 00:10:24 +0200

oxigraph (0.4.0~alpha7-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to avoid AtomicU64 unsupported on armel
  * skip tests that expects linking against RocksDB 8.x

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Jul 2024 20:04:26 +0200

oxigraph (0.4.0~alpha7-2) experimental; urgency=medium

  * update dh-cargo fork
  * fix provide crates without prerelease suffix
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jul 2024 08:27:15 +0200

oxigraph (0.4.0~alpha7-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * (build-)depend on packages for crates dashmap rustc-hash;
    stop (build-)depend on package for crate escargot
  * fix and bump project versions in virtual packages and autopkgtests
  * unfuzz patches
  * add patch 2009
    to reference not-in-Debian YASGUI instead of vendoring it
  * update man page description

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jul 2024 13:37:14 +0200

oxigraph (0.4.0~alpha6-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * update watch file: handle prereleases
  * update git-buildpackage config:
    + use branches debian/latest upstream-latest
  * drop patches obsoleted by upstream changes
  * update patches
  * update copyright info:
    + update coverage
    + fix file path
    + fix coverage of embedded serd testsuite
  * bump project versions in virtual packages and autopkgtests
  * fix explicitly build-depend on package for crate rayon-core
    (previously pulled in by crate oxhttp)
  * provide binary package oxigraph (not oxigraph-server)
  * update DEP-3 headers
  * tighten (build-)dependencies for crates oxhttp oxiri
  * mention TODOs about skipped tests and omitted crate oxigraph_js
  * simplify same-source package dependencies
  * declare compliance with Debian Policy 4.7.0
  * declare Static-Build-Using (not XB-X-Cargo-Built-Using)
  * fix set section rust, except package oxigraph
  * bump (build-)dependencies for crates json-event-parser quick-xml
  * (build-)depend on package for crate thiserror
  * add patch 2008
    to avoid not-in-Debian oxhttp feature rustls-webpki-roots
  * update dh-cargo fork;
    closes: bug#1064197, thanks to Sebastian Ramacher
  * generalize prerelease version suffix mangling
  * update crate paths for version resolving
  * provide virtual packages for and autopkgtest
    crates oxrdfio oxrdfxml oxttl sparopt

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jul 2024 12:16:01 +0200

oxigraph (0.3.22-12) unstable; urgency=medium

  * add patch cherry-picked upstream to use RocksDB multi-columns flush

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Feb 2024 01:55:01 +0100

oxigraph (0.3.22-11) unstable; urgency=medium

  * add patch 2007 to avoid benches;
    stop build- or autopkgtest-depend on packages
    for crates criterion zstd
  * fix build- and autopkgtest-depend on package for crate is-terminal

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Feb 2024 03:01:05 +0100

oxigraph (0.3.22-10) unstable; urgency=medium

  * fix patch 2002 to enable pkg-config for crate oxrocksdb-sys
    (not dependent crates)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Jan 2024 13:51:28 +0100

oxigraph (0.3.22-9) unstable; urgency=medium

  * build-depend unconditionally on test-only build-dependencies
    (needed by cargo install)
  * update patch 1001_clap;
    relax build-dependency for crate clap-lex;
    closes: bug#1060762, thanks to Peter Green
  * skip test test_backward_compatibility also for autopkgtest,
    and add internal note
    that it fails due to requiring write access to hardcoded patch

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jan 2024 10:20:15 +0100

oxigraph (0.3.22-8) unstable; urgency=medium

  * autopkgtest-depend on package for crate cc

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Jan 2024 23:15:15 +0100

oxigraph (0.3.22-7) unstable; urgency=medium

  * shorten autopkgtest test names
  * tighten build- and autopkgtest-dependencies for crate zstd
  * skip autopkgtest tests unsupported in Debian

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Jan 2024 02:33:07 +0100

oxigraph (0.3.22-6) unstable; urgency=medium

  * have librust-oxrocksdb-sys-dev depend on librocksdb-dev
  * provide and autpkgtest feature pkg-config;
    (build-)depend on package for crate pkg-config
  * autpkgtest-depend on package for crate criterion

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jan 2024 11:31:41 +0100

oxigraph (0.3.22-5) unstable; urgency=medium

  * revive temporary bypass of dh-cargo-built-using script;
    closes: bug#1061186, thanks to Jeremy Bícha
  * stop builddepend on packages for crate pyo3

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jan 2024 19:05:21 +0100

oxigraph (0.3.22-4) unstable; urgency=medium

  * add patch 1001_escargot
    to accept newer releases of crate escargot,
    superseding 2001_escargot;
    build-depend on package for crate escargot
  * extend patch 2001_wasm32
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Jan 2024 08:08:03 +0100

oxigraph (0.3.22-3) unstable; urgency=medium

  * tighten resolving binary package versions
  * update patches
  * tolerate test failures for architectures armel armhf arm64

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 13:11:38 +0100

oxigraph (0.3.22-2) unstable; urgency=medium

  * resolve Built-Using and X-Cargo-Built-Using
    for binary package oxigraph
  * provide and autpkgtest oxrdf feature oxsdatatypes

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Dec 2023 21:23:21 +0100

oxigraph (0.3.22-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 1001_cc, obsoleted by upstream changes
  * relax build- and autopkgtest-dependency for crate bindgen;
    relax (build-)dependency for crate siphash
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches;
    update DEP-3 headers
  * add patch 1004
    to use system call getrlimit64()
  * temporarily bypass seemingly broken dh-cargo-built-using script

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Dec 2023 16:08:58 +0100

oxigraph (0.3.21-2) unstable; urgency=medium

  * simplify build-time tesing,
    thanks to updated patch 2001_escargot
  * generate manpage only in arch-dependent builds
  * add patch 1003 to use crate portable-atomic;
    (build-)depend on package for crate portable-atomic

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Nov 2023 10:43:10 +0100

oxigraph (0.3.21-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * fix patch 2001_escargot
  * bump project versions in virtual packages and autopkgtests
  * skip a failing test, and simplify test skipping logic

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Nov 2023 22:55:11 +0100

oxigraph (0.3.20-2) unstable; urgency=medium

  * add patches 1001_* to accept newer releases of crates
    assert_cmd assert_fs predicate predicate-core predicates-tree
  * unfuzz patch 2001_escargot
  * add patch 2002 to use system-shared rocksdb by default;
    simplify build rules
  * install executable below /usr/bin (not /usr/sbin)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Nov 2023 14:53:14 +0100

oxigraph (0.3.20-1) experimental; urgency=low

  * initial Release;
    closes: bug#996504

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Oct 2023 23:56:51 +0200
